"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TipBox = void 0;

var _preact = require("preact");

var _icon = require("./icon");

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

const TipBox = (_ref) => {
  let {
    children,
    className
  } = _ref,
      rest = _objectWithoutProperties(_ref, ["children", "className"]);

  return (0, _preact.h)("div", _extends({
    className: (0, _classnames.default)('ba b--yellow bg-light-yellow pa2 br2', className)
  }, rest), (0, _preact.h)("div", null, (0, _preact.h)("div", {
    className: "flex item-center bb b--yellow mb2"
  }, (0, _preact.h)(_icon.Icon, {
    icon: "lightbulb_outline",
    className: "relative",
    size: "16",
    style: {
      left: '-2px'
    }
  }), (0, _preact.h)("span", {
    className: "fw6"
  }, "Tip:")), (0, _preact.h)("div", null, children)));
};

exports.TipBox = TipBox;