"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.airwayTypeLookup = void 0;
const airwayTypeLookup = {
  cpap: {
    name: 'CPAP'
  },
  et: {
    name: 'Endotracheal Tube'
  },
  lma: {
    name: 'Laryngeal Mask Airway'
  },
  mad: {
    name: 'Mandibular Advancement Device',
    basic: true
  },
  nc: {
    name: 'Nasal Cannula',
    basic: true
  },
  nh: {
    name: 'Nasal Hood',
    basic: true
  },
  nt: {
    name: 'Nasopharyngeal Airway (NPA)'
  },
  ntt: {
    name: 'Nasotracheal Tube'
  },
  opa: {
    name: 'Oropharyngeal Airway (OPA)'
  },
  other: {
    name: 'Other'
  }
};
exports.airwayTypeLookup = airwayTypeLookup;