"use strict";

var _tape = _interopRequireDefault(require("tape"));

var _parseHeight = require("./parse-height");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const results = [['30c', '30cm'], ['30 centimeters', '30cm'], ['2.1', '210cm'], ['1.56', '156cm'], ['50cm', '50cm'], ["5-8", "5'8\""], ["58i", "4'10\""], ["58in", "4'10\""], ["58 in.", "4'10\""], ["58\"", "4'10\""], ["58 inch", "4'10\""], ["58inches", "4'10\""], ["58 inches", "4'10\""], ["5 feet", "5'0\""], ["5f", "5'0\""], ["5ft.0in", "5'0\""], ["5ft. 0in", "5'0\""], ["5ft", "5'0\""], ["5'0\"", "5'0\""], ["8'", "8'0\""], ["6\u2019", "6'0\""], ["58c", "58cm"], ["58cm", "58cm"], ["58 c.m.", "58cm"], ["1.84m", "184cm"], ["1.84Meters", "184cm"], ["5'2", "5'2\""], ["5 - 2", "5'2\""], ["5- 2", "5'2\""], ["5-2", "5'2\""], ["5 -2", "5'2\""], ["2.2", "220cm"], [".75", "75cm"], ["0.434", "43cm"], ["184", "184cm"], ["4m", ""], ["121in", ""], ["1191", ""], ["50 feet", ""], ["5ft", "5'0\""], ["120in", "10'0\""], ["119in", "9'11\""], ["119 Inches", "9'11\""]];
(0, _tape.default)('parse height', t => {
  results.forEach(([input, output]) => {
    t.equal((0, _parseHeight.parseThenRestateHeight)(input), output, "Expect \"".concat(input, "\" to equal ").concat(output));
  });
  t.end();
});