"use strict";

var _tape = _interopRequireDefault(require("tape"));

var _parseWeight = require("./parse-weight");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const results = [["184", "184lbs"], ["84k", "84kg"], ["845k", ""], ['35lbs sdsf', '35lbs']];
(0, _tape.default)('parse weight', t => {
  results.forEach(([input, output]) => {
    t.equal((0, _parseWeight.parseThenRestateWeight)(input), output, "Expect \"".concat(input, "\" to equal ").concat(output));
  });
  t.end();
});