"use strict";

var _tape = _interopRequireDefault(require("tape"));

var _sedationLevelLimit = require("./sedation-level-limit");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//@ts-check
(0, _tape.default)('isSedationLevelAllowed', t => {
  t.equal((0, _sedationLevelLimit.isSedationLevelAllowed)('local', 'local'), true);
  t.equal((0, _sedationLevelLimit.isSedationLevelAllowed)('local', 'minimal'), false);
  t.equal((0, _sedationLevelLimit.isSedationLevelAllowed)('local', 'moderate'), false);
  t.equal((0, _sedationLevelLimit.isSedationLevelAllowed)('local', 'deep'), false);
  t.equal((0, _sedationLevelLimit.isSedationLevelAllowed)('local', 'ga'), false);
  t.equal((0, _sedationLevelLimit.isSedationLevelAllowed)('minimal', 'local'), true);
  t.equal((0, _sedationLevelLimit.isSedationLevelAllowed)('minimal', 'minimal'), true);
  t.equal((0, _sedationLevelLimit.isSedationLevelAllowed)('minimal', 'moderate'), false);
  t.equal((0, _sedationLevelLimit.isSedationLevelAllowed)('minimal', 'deep'), false);
  t.equal((0, _sedationLevelLimit.isSedationLevelAllowed)('minimal', 'ga'), false);
  t.equal((0, _sedationLevelLimit.isSedationLevelAllowed)('moderate', 'local'), true);
  t.equal((0, _sedationLevelLimit.isSedationLevelAllowed)('moderate', 'minimal'), true);
  t.equal((0, _sedationLevelLimit.isSedationLevelAllowed)('moderate', 'moderate'), true);
  t.equal((0, _sedationLevelLimit.isSedationLevelAllowed)('moderate', 'deep'), false);
  t.equal((0, _sedationLevelLimit.isSedationLevelAllowed)('moderate', 'ga'), false);
  t.equal((0, _sedationLevelLimit.isSedationLevelAllowed)('deep', 'local'), true);
  t.equal((0, _sedationLevelLimit.isSedationLevelAllowed)('deep', 'minimal'), true);
  t.equal((0, _sedationLevelLimit.isSedationLevelAllowed)('deep', 'moderate'), true);
  t.equal((0, _sedationLevelLimit.isSedationLevelAllowed)('deep', 'deep'), true);
  t.equal((0, _sedationLevelLimit.isSedationLevelAllowed)('deep', 'ga'), false);
  t.equal((0, _sedationLevelLimit.isSedationLevelAllowed)('ga', 'local'), true);
  t.equal((0, _sedationLevelLimit.isSedationLevelAllowed)('ga', 'minimal'), true);
  t.equal((0, _sedationLevelLimit.isSedationLevelAllowed)('ga', 'moderate'), true);
  t.equal((0, _sedationLevelLimit.isSedationLevelAllowed)('ga', 'deep'), true);
  t.equal((0, _sedationLevelLimit.isSedationLevelAllowed)('ga', 'ga'), true);
  t.equal((0, _sedationLevelLimit.isSedationLevelAllowed)(null, 'local'), true);
  t.equal((0, _sedationLevelLimit.isSedationLevelAllowed)(null, 'minimal'), true);
  t.equal((0, _sedationLevelLimit.isSedationLevelAllowed)(null, 'moderate'), true);
  t.equal((0, _sedationLevelLimit.isSedationLevelAllowed)(null, 'deep'), true);
  t.equal((0, _sedationLevelLimit.isSedationLevelAllowed)(null, 'ga'), true);
  t.end();
});