"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.errorClasses = exports.IncrementorError = void 0;

var _preact = require("preact");

var _icon = require("../icon");

const IncrementorError = ({
  children
}) => (0, _preact.h)("div", {
  "data-e2e": "incrementorError",
  className: "flex items-center red mv1"
}, (0, _preact.h)(_icon.Icon, {
  icon: "error",
  className: "mr1",
  size: "18"
}), (0, _preact.h)("div", null, children));

exports.IncrementorError = IncrementorError;
const errorClasses = 'bg-washed-red br2 pa2';
exports.errorClasses = errorClasses;