"use strict";

var _tape = _interopRequireDefault(require("tape"));

var _processListText = require("./process-list-text");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _tape.default)('processListText', t => {
  const input = 'hi ✕there \n     someThing crazy \n\n1.\n -   \n';
  t.deepEqual((0, _processListText.processListText)(input), {
    saveableRows: ['hi ✕there', 'someThing crazy'],
    cleanedText: 'hi ✕there \nsomeThing crazy \n\n\n\n',
    saveableText: 'hi ✕there\nsomeThing crazy',
    totalRowCount: 6,
    saveableItemCount: 2
  }, 'produces expected results');
  t.end();
});