"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isSedationLevelAllowed = void 0;
const levels = ['local', 'minimal', 'moderate', 'deep', 'ga'];

const getSedLimitScore = limit => levels.indexOf((limit || '').toLowerCase()) + 1 || 10;

const isSedationLevelAllowed = (maxLimit, itemToTest) => !maxLimit || getSedLimitScore(itemToTest) <= getSedLimitScore(maxLimit);

exports.isSedationLevelAllowed = isSedationLevelAllowed;